pylabrobot.agilent.vspin.ServoStatus#

class pylabrobot.agilent.vspin.ServoStatus(status: int, position: int | None = None, analog: int | None = None, velocity: int | None = None, auxiliary: int | None = None, home_position: int | None = None, module_type: int | None = None, module_version: int | None = None, position_error: int | None = None, path_points: int | None = None)#

Bases: object

Decoded PIC-SERVO response fields selected by a status mask.

Attributes

Methods

__init__(status[, position, analog, ...])

Parameters:
  • status (int)

  • position (int | None)

  • analog (int | None)

  • velocity (int | None)

  • auxiliary (int | None)

  • home_position (int | None)

  • module_type (int | None)

  • module_version (int | None)

  • position_error (int | None)

  • path_points (int | None)